Xfce Forum

Sub domains
 

You are not logged in.

#1 2024-02-29 02:35:49

ineuw
Member
From: Québec, Canada
Registered: 2015-11-24
Posts: 98

Help for installing xfce4-notes-plugin-1.11.0 in Linux Mint Cinnamon

I am using the Mint repository 1.9.0 version, and want to upgrade to the xfce4-notes-plugin-1.11.0.  Downloaded these two files but I have no clue  how to proceed.

libxfce4util-master
xfce4-notes-plugin-1.11.0

I am unable to compile because my knowledge is minimal.  So far, "./configure" reports missing libraries which I installed and exist:

    sudo apt list --installed

    xfce4-notes/jammy,now 1.9.0-1 amd64 [installed]
    gir1.2-libxfce4util-1.0/virginia,now 4.18.1-2~bpo22.04 amd64 [installed]
    libxfce4ui-2-0/virginia,now 4.18.2-2~bpo22.04 amd64 [installed,automatic]
    libxfce4ui-common/virginia,virginia,now 4.18.2-2~bpo22.04 all [installed,automatic]
    libxfce4util-bin/virginia,now 4.18.1-2~bpo22.04 amd64 [installed,automatic]
    libxfce4util-common/virginia,virginia,now 4.18.1-2~bpo22.04 all [installed,automatic]
    libxfce4util7/virginia,now 4.18.1-2~bpo22.04 amd64 [installed,automatic]

./configure

    checking for libxfce4util-1.0 >= 4.14.0... not found
    *** The required package libxfce4util-1.0 was not found on your system.
    *** Please install libxfce4util-1.0 (atleast version 4.14.0) or adjust
    *** the PKG_CONFIG_PATH environment variable if you
    *** installed the package in a nonstandard prefix so that
    *** pkg-config is able to find it.
    root@lmcde:/media/logiciels/xfce4-notes/xfce4-notes-plugin-1.11.0#


Linux Mint Cinnamon 21.3

Offline

#2 2024-02-29 08:07:44

Tamaranch
Member
Registered: 2020-12-31
Posts: 269

Re: Help for installing xfce4-notes-plugin-1.11.0 in Linux Mint Cinnamon

You need the -dev version of the required packages (with development headers and pkg-config files).

Offline

#3 2024-02-29 12:08:41

ineuw
Member
From: Québec, Canada
Registered: 2015-11-24
Posts: 98

Re: Help for installing xfce4-notes-plugin-1.11.0 in Linux Mint Cinnamon

Thanks for your reply. In these cases, I give up. It's not worth it. I am a just user, and my time is too valuable to spend days just to install any software. The winners are the ones who release .deb packages. The rest of developers are just daydreaming.


Linux Mint Cinnamon 21.3

Offline

#4 2024-02-29 14:32:49

eriefisher
Member
From: ON, Canada
Registered: 2008-10-25
Posts: 407

Re: Help for installing xfce4-notes-plugin-1.11.0 in Linux Mint Cinnamon

"The rest of the developers" are the people who create and maintain the software. The easily installed packages such as debs and rpm are built by the maintainers of your particular OS/Distro. Insulting the developers does nothing to advance the process. If you need this piece of software you can build it. You just need the dev packages as mentioned. it only takes a few minutes.


Siduction
Debian Sid
Xfce 4.18

Offline

#5 2024-03-27 02:43:27

ineuw
Member
From: Québec, Canada
Registered: 2015-11-24
Posts: 98

Re: Help for installing xfce4-notes-plugin-1.11.0 in Linux Mint Cinnamon

@eriefisher, your answer is 100% correct in your context, but not mine.

The question is simple: Can I "a stupid and ignorant user", like myself, install 1.11 version in Linux Mint in a simple manner?

Why would I subject myself to two days of deciphering a developer's thoughts and attitudes towards his audience of potential users? His approach seems to be self-limiting.


Linux Mint Cinnamon 21.3

Offline

#6 2024-03-27 11:15:21

eriefisher
Member
From: ON, Canada
Registered: 2008-10-25
Posts: 407

Re: Help for installing xfce4-notes-plugin-1.11.0 in Linux Mint Cinnamon

ineuw wrote:

The question is simple: Can I "a stupid and ignorant user", like myself, install 1.11 version in Linux Mint in a simple manner?

Apparently the answer is NO! You want to go outside of your distros package list and install software that only exits a source code and your not willing to put in the effort to make it happen. Instead you insult the developers and ask why you would waste YOUR time. Did you even read the source files? Probably not. Well, Linux isn't for everybody. That's why they make Windows. For people that need their hand held.


Siduction
Debian Sid
Xfce 4.18

Offline

#7 2024-03-27 18:25:18

ineuw
Member
From: Québec, Canada
Registered: 2015-11-24
Posts: 98

Re: Help for installing xfce4-notes-plugin-1.11.0 in Linux Mint Cinnamon

What a child you are. I thought that software is to be used as a production tool. The old theme of Windows is wearing thin. Linux is around for 30 years and it should deliver widespread usage.


Linux Mint Cinnamon 21.3

Offline

#8 2024-03-27 19:18:08

ToZ
Administrator
From: Canada
Registered: 2011-06-02
Posts: 10,992

Re: Help for installing xfce4-notes-plugin-1.11.0 in Linux Mint Cinnamon

Closing this thread - this discussion is no longer productive.


Please remember to mark your thread [SOLVED] to make it easier for others to find
--- How To Ask For Help | FAQ | Developer Wiki  |  Community | Contribute ---

Offline

Board footer

Powered by FluxBB